Skip to main content
GET
/
contacts
Get Org Contacts
curl --request GET \
  --url https://api.seamless.ai/api/client/v1/contacts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.seamless.ai/api/client/v1/contacts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.seamless.ai/api/client/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "contactId": "699447129",
      "username": "user@example.com",
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": "2026-01-15T10:30:00.000Z",
      "firstName": "Jane",
      "middleName": "",
      "lastName": "Smith",
      "fullName": "Jane Smith",
      "name": "Jane Smith",
      "nameOriginal": "Jane Smith",
      "email": "jsmith@example.com",
      "personalEmail": "",
      "contactPhone1": "415.555.0101",
      "contactPhone1TotalAI": "98%",
      "contactPhone1DataType": "mobile",
      "contactPhone2": "415.555.0102",
      "contactPhone2DataType": "main",
      "companyPhone1": "650.555.0200",
      "companyPhone1TotalAI": "99%",
      "companyPhone1DataType": "company",
      "companyPhone2": "650.555.0201",
      "companyPhone2TotalAI": "22%",
      "companyPhone2DataType": "company",
      "companyPhone3": "650.555.0202",
      "companyPhone3TotalAI": "4%",
      "companyPhone3DataType": "company",
      "company": "Acme Corp",
      "companyOriginal": "Acme Corp",
      "companyDescription": "Acme Corp is a leading provider of innovative business solutions.",
      "companyFounded": "2004",
      "companyIndustry": "Computer Software",
      "companyStaffCount": 10001,
      "companyStaffCountRange": "10,001+ employees",
      "companyAnnualRevenue": "1000000001",
      "companyDomain": "acmecorp.com",
      "companyRevenueRange": "$1B+",
      "companyLIProfileUrl": "https://www.linkedin.com/company/acme-corp",
      "companyLinkedInId": "10667",
      "title": "Finance Director",
      "department": "Finance",
      "seniority": "Director",
      "lIProfileUrl": "https://www.linkedin.com/in/janesmith",
      "lISalesNavUrl": "https://www.linkedin.com/sales/lead/ACoAAA...",
      "lIRecruiterUrl": "https://www.linkedin.com/talent/search/profile/AEMAA...",
      "contactLocation": {
        "city": "San Francisco",
        "state": "California",
        "postCode": "94107",
        "county": "",
        "country": "United States",
        "stateAbbr": "CA",
        "countryAbbr": "US",
        "countryAlpha2": "US",
        "countryAlpha3": "USA",
        "countryNumeric": 840,
        "fullString": "San Francisco, CA 94107, United States",
        "timezone": "Pacific (PDT)",
        "timezoneRawOffset": "-8.00",
        "timezoneAbbr": "PDT"
      },
      "companyLocation": {
        "street1": "1 Hacker Way",
        "street2": "",
        "street3": "",
        "city": "Menlo Park",
        "state": "California",
        "postCode": "94025",
        "county": "",
        "country": "United States",
        "stateAbbr": "CA",
        "countryAbbr": "US",
        "countryAlpha2": "US",
        "countryAlpha3": "USA",
        "countryNumeric": 840,
        "fullString": "1 Hacker Way, Menlo Park, CA 94025, United States"
      },
      "website": "acmecorp.com",
      "emailDomain": "",
      "image": "",
      "email1": "jsmith@example.com",
      "email1Selected": true,
      "email1TotalAI": "97%",
      "email1EmailAI": "valid",
      "email2": "jane.smith@example.com",
      "email2TotalAI": "97%",
      "email2EmailAI": "valid",
      "email3": "janes@example.com",
      "email3TotalAI": "97%",
      "email3EmailAI": "valid",
      "advertisingIntelligence": "http://www.moat.com/advertiser/AcmeCorp",
      "alexaScore": "http://www.alexa.com/siteinfo/acmecorp.com",
      "companyNews": "https://www.google.com/search?q=Acme+Corp&tbm=nws",
      "employeeReviews": "http://www.glassdoor.com/Reviews/Acme-Corp-reviews-SRCH_KE0,9.htm",
      "googleFinance": "http://www.google.com/finance?q=Acme+Corp",
      "googleResearch": "https://www.google.com/search?q=Jane+Smith+Acme+Corp",
      "jobPostings": "http://www.glassdoor.com/Job/jobs.htm?suggestCount=0&suggestChosen=false&sc.keyword=Acme+Corp",
      "localSportsTeams": "https://www.google.com/search?q=Menlo+Park+California+sports+teams",
      "localWeather": "https://www.google.com/search?q=Menlo+Park+California+weather",
      "paidSearchIntelligence": "http://www.semrush.com/info/acmecorp.com",
      "paidSearchKeywordsIntelligence": "http://www.keywordspy.com/research/search.aspx?q=acmecorp.com&tab=domain-overview",
      "searchMarketingIntelligence": "http://www.ispionage.com/research/US/acmecorp.com",
      "secFilings": "https://www.sec.gov/cgi-bin/browse-edgar?company=Acme+Corp&owner=exclude&action=getcompany",
      "seoResearch": "https://ahrefs.com/site-explorer/overview/subdomains?target=acmecorp.com",
      "similarWebsites": "https://www.similarsitesearch.com/search/?URL=acmecorp.com",
      "socialMediaMentions": "http://socialmention.com/search?q=acmecorp.com&t=all&btnG=Search",
      "socialMediaPosts": "http://www.social-searcher.com/social-buzz/?q5=acmecorp.com",
      "socialPosts": "http://www.icerocket.com/search?q=Jane+Smith",
      "websiteAudit": "http://www.similarweb.com/website/acmecorp.com",
      "websiteAudit2": "https://www.woorank.com/en/www/acmecorp.com",
      "websiteGrader": "https://website.grader.com/tests/acmecorp.com",
      "webTechnologies": "https://builtwith.com/acmecorp.com",
      "whois": "http://www.whois.com/whois/acmecorp.com",
      "wikipedia": "https://en.wikipedia.org/wiki/Acme_Corp",
      "yahooFinance": "http://finance.yahoo.com/q?s=Acme+Corp",
      "formerCompany": "Previous Corp",
      "formerTitle": "Finance Manager",
      "formerStartedAt": "2014-05-01",
      "formerEndedAt": "2019-01-01",
      "titleStartedAt": "2019-02-01",
      "startedAtCurrentCompany": "2014-05-01",
      "timeAtRole": "1 Yr 2 Mo",
      "timeAtCompany": "5 Yr",
      "jobHistory": [
        {
          "companyName": "<string>",
          "title": "<string>",
          "startedAt": "2023-11-07T05:31:56Z",
          "endedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "companyType": "Public",
      "stockTicker": "AAPL",
      "apiResearchId": "6Ei5iKuSHzJXvqjVPWiZ_",
      "newsAndEvents": [
        {
          "title": "<string>",
          "url": "<string>",
          "date": "2023-11-07T05:31:56Z",
          "type": "<string>"
        }
      ],
      "companyFundingTotal": "100000",
      "companyLatestFundingDate": "2023-08-12",
      "companyLatestFundingClassifications": [
        "Series D"
      ]
    }
  ]
}
{
"message": "<string>"
}
{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer
default:1

The page number to retrieve.

Example:

1

limit
integer
default:500

The number of results per page.

Required range: x <= 500
Example:

100

startDate
string<date-time>
required

An ISO8601 date time string that defines the start date of the lookback period to return results from.

Example:

"2020-01-01T10:00:00Z"

endDate
string<date-time>
required

An ISO8601 date time string that defines the end date of the lookback period to return results from.

Example:

"2020-01-01T11:00:00Z"

Response

Contact Results

data
object[]

A list of contacts from your orgs